Package com.scriptel.proscript

## Class RegionButton

- java.lang.Object
- - com.scriptel.proscript.Region
  - - com.scriptel.proscript.RegionButton

-     public final class RegionButton
      extends Region

  This class represents a button region.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegionButton()` | Public constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getButtonReserved()` | Reserved for future use.
    `java.lang.String` | `getCaption()` | Gets the caption on this button.
    `int` | `getParent()` | Gets the parent region of this button.
    `int` | `getResourceNumberNormal()` | Gets the resource number of the button in an idle state.
    `int` | `getResourceNumberSelected()` | Gets the resource number of the button in a selected state.
    `boolean` | `getUseResource()` | Gets whether or not resources are being used on this button.
    `int` | `hashCode()` |
    `boolean` | `isEnabled()` | Whether or not this button is enabled.
    `void` | `setButtonReserved​(int buttonReserved)` | Reserved for future use.
    `void` | `setCaption​(java.lang.String caption)` | Sets the caption on this button.
    `void` | `setClearOnSelect​(boolean clearOnSelect)` | Sets whether or not this button clears on select.
    `void` | `setConfirmOnSelect​(boolean confirmOnSelect)` | Sets whether or not this button confirms on select.
    `void` | `setEnabled​(boolean enable)` | Sets whether or not this button is enabled.
    `void` | `setHighlightOnSelect​(boolean highlightOnSelect)` | Sets whether or not this button highlights on select.
    `void` | `setParent​(int parent)` | Sets the parent region of this button.
    `void` | `setResourceNumberNormal​(int resourceNumberNormal)` | Sets the resource number of the button in an idle state.
    `void` | `setResourceNumberSelected​(int resourceNumberSelected)` | Sets the resource number of the button in a selected state.
    `void` | `setUseResource​(boolean useResource)` | Sets whether or not resources are being used on this button.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.
    `boolean` | `willClearOnSelect()` | Gets whether or not this button clears on select.
    `boolean` | `willConfirmOnSelect()` | Gets whether or not this button confirms on select.
    `boolean` | `willHighlightOnSelect()` | Sets whether or not this button highlights on select.

    - ### Methods inherited from class com.scriptel.proscript.Region

      `acceptsTouch, getColorBackground, getColorForeground, getNumber, getOutputToHost, getReserved2, getX1, getX2, getY1, getY2, hasFrame, isDecode, isInUse, isReserved1, isVisible, setAcceptTouch, setColorBackground, setColorForeground, setDecode, setHasFrame, setInUse, setNumber, setOutputToHost, setReserved1, setReserved2, setVisible, setX1, setX2, setY1, setY2`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionButton

          public RegionButton()

      Public constructor.

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `Region`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Region`

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `Region`
      Returns:
        Human readable string.

    - #### getParent

          public int getParent()

      Gets the parent region of this button.
      Returns:
        the parent

    - #### setParent

          public void setParent​(int parent)

      Sets the parent region of this button.
      Parameters:
        `parent` - the parent to set

    - #### isEnabled

          public boolean isEnabled()

      Whether or not this button is enabled.
      Returns:
        the enable

    - #### setEnabled

          public void setEnabled​(boolean enable)

      Sets whether or not this button is enabled.
      Parameters:
        `enable` - the enable to set

    - #### willHighlightOnSelect

          public boolean willHighlightOnSelect()

      Sets whether or not this button highlights on select.
      Returns:
        the highlightOnSelect

    - #### setHighlightOnSelect

          public void setHighlightOnSelect​(boolean highlightOnSelect)

      Sets whether or not this button highlights on select.
      Parameters:
        `highlightOnSelect` - the highlightOnSelect to set

    - #### willClearOnSelect

          public boolean willClearOnSelect()

      Gets whether or not this button clears on select.
      Returns:
        the clearOnSelect

    - #### setClearOnSelect

          public void setClearOnSelect​(boolean clearOnSelect)

      Sets whether or not this button clears on select.
      Parameters:
        `clearOnSelect` - the clearOnSelect to set

    - #### willConfirmOnSelect

          public boolean willConfirmOnSelect()

      Gets whether or not this button confirms on select.
      Returns:
        the clearOnSelect

    - #### setConfirmOnSelect

          public void setConfirmOnSelect​(boolean confirmOnSelect)

      Sets whether or not this button confirms on select.
      Parameters:
        `confirmOnSelect` - the confirmOnSelect to set

    - #### getUseResource

          public boolean getUseResource()

      Gets whether or not resources are being used on this button.
      Returns:
        use resource

    - #### setUseResource

          public void setUseResource​(boolean useResource)

      Sets whether or not resources are being used on this button.
      Parameters:
        `useResource` - use resource

    - #### getCaption

          public java.lang.String getCaption()

      Gets the caption on this button.
      Returns:
        the caption

    - #### setCaption

          public void setCaption​(java.lang.String caption)

      Sets the caption on this button.
      Parameters:
        `caption` - the caption to set

    - #### getResourceNumberNormal

          public int getResourceNumberNormal()

      Gets the resource number of the button in an idle state.
      Returns:
        the resource number normal

    - #### setResourceNumberNormal

          public void setResourceNumberNormal​(int resourceNumberNormal)

      Sets the resource number of the button in an idle state.
      Parameters:
        `resourceNumberNormal` - the resource number normal

    - #### getResourceNumberSelected

          public int getResourceNumberSelected()

      Gets the resource number of the button in a selected state.
      Returns:
        resource number selected

    - #### setResourceNumberSelected

          public void setResourceNumberSelected​(int resourceNumberSelected)

      Sets the resource number of the button in a selected state.
      Parameters:
        `resourceNumberSelected` - the resource number selected

    - #### getButtonReserved

          public int getButtonReserved()

      Reserved for future use.
      Returns:
        the buttonReserved

    - #### setButtonReserved

          public void setButtonReserved​(int buttonReserved)

      Reserved for future use.
      Parameters:
        `buttonReserved` - the buttonReserved to set